[arch-commits] Commit in gegl/repos (4 files)

2017-09-06 Thread Jan Steffens
Date: Wednesday, September 6, 2017 @ 10:27:53
  Author: heftig
Revision: 304744

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gegl/repos/testing-i686/
  gegl/repos/testing-i686/PKGBUILD
(from rev 304743, gegl/trunk/PKGBUILD)
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
(from rev 304743, gegl/trunk/PKGBUILD)

-+
 testing-i686/PKGBUILD   |   65 ++
 testing-x86_64/PKGBUILD |   65 ++
 2 files changed, 130 insertions(+)

Copied: gegl/repos/testing-i686/PKGBUILD (from rev 304743, gegl/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2017-09-06 10:27:53 UTC (rev 304744)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.20
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg' 'jasper'
+ 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 
'gobject-introspection'
+ 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=517991898e8ea672d38aa0dd282bb59b84ae253d  # tags/GEGL_0_3_20^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 304743, 
gegl/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2017-09-06 10:27:53 UTC (rev 304744)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.20
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg' 'jasper'
+ 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 
'gobject-introspection'
+ 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=517991898e8ea672d38aa0dd282bb59b84ae253d  # tags/GEGL_0_3_20^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2017-04-27 Thread Evangelos Foutras
Date: Thursday, April 27, 2017 @ 07:01:31
  Author: foutrelis
Revision: 294892

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 294891, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 294891, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   65 ++
 staging-x86_64/PKGBUILD |   65 ++
 2 files changed, 130 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 294891, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2017-04-27 07:01:31 UTC (rev 294892)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.14
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git' 'gtk-doc')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=285e5b781f2ef6359d264192f826564402119b87  # tags/GEGL_0_3_14^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 294891, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2017-04-27 07:01:31 UTC (rev 294892)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.14
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git' 'gtk-doc')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=285e5b781f2ef6359d264192f826564402119b87  # tags/GEGL_0_3_14^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2017-04-12 Thread Jan de Groot
Date: Wednesday, April 12, 2017 @ 10:23:09
  Author: jgc
Revision: 292605

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gegl/repos/gnome-unstable-i686/
  gegl/repos/gnome-unstable-i686/PKGBUILD
(from rev 292604, gegl/trunk/PKGBUILD)
  gegl/repos/gnome-unstable-x86_64/
  gegl/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 292604, gegl/trunk/PKGBUILD)

+
 gnome-unstable-i686/PKGBUILD   |   65 +++
 gnome-unstable-x86_64/PKGBUILD |   65 +++
 2 files changed, 130 insertions(+)

Copied: gegl/repos/gnome-unstable-i686/PKGBUILD (from rev 292604, 
gegl/trunk/PKGBUILD)
===
--- gnome-unstable-i686/PKGBUILD(rev 0)
+++ gnome-unstable-i686/PKGBUILD2017-04-12 10:23:09 UTC (rev 292605)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.14
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git' gtk-doc)
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=285e5b781f2ef6359d264192f826564402119b87  # tags/GEGL_0_3_14^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/gnome-unstable-x86_64/PKGBUILD (from rev 292604, 
gegl/trunk/PKGBUILD)
===
--- gnome-unstable-x86_64/PKGBUILD  (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD  2017-04-12 10:23:09 UTC (rev 292605)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.14
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git' gtk-doc)
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+_commit=285e5b781f2ef6359d264192f826564402119b87  # tags/GEGL_0_3_14^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit;)
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2017-01-11 Thread Antonio Rojas
Date: Wednesday, January 11, 2017 @ 13:05:47
  Author: arojas
Revision: 285667

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 285666, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 285666, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 285666, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2017-01-11 13:05:47 UTC (rev 285667)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 285666, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2017-01-11 13:05:47 UTC (rev 285667)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2016-11-21 Thread Levente Polyak
Date: Monday, November 21, 2016 @ 17:15:54
  Author: anthraxx
Revision: 281771

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 281770, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 281770, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 281770, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2016-11-21 17:15:54 UTC (rev 281771)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=3
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 281770, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2016-11-21 17:15:54 UTC (rev 281771)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=3
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2016-11-11 Thread Levente Polyak
Date: Friday, November 11, 2016 @ 15:10:00
  Author: anthraxx
Revision: 280545

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 280544, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 280544, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 280544, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2016-11-11 15:10:00 UTC (rev 280545)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 280544, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2016-11-11 15:10:00 UTC (rev 280545)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2016-10-03 Thread Daniel Isenmann
Date: Monday, October 3, 2016 @ 09:30:11
  Author: daniel
Revision: 277572

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  gegl/repos/extra-i686/PKGBUILD
(from rev 277571, gegl/trunk/PKGBUILD)
  gegl/repos/extra-x86_64/PKGBUILD
(from rev 277571, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/extra-i686/PKGBUILD
  gegl/repos/extra-x86_64/PKGBUILD

---+
 /PKGBUILD |  116 
 extra-i686/PKGBUILD   |   58 
 extra-x86_64/PKGBUILD |   58 
 3 files changed, 116 insertions(+), 116 deletions(-)

Deleted: extra-i686/PKGBUILD
===
--- extra-i686/PKGBUILD 2016-10-03 09:30:05 UTC (rev 277571)
+++ extra-i686/PKGBUILD 2016-10-03 09:30:11 UTC (rev 277572)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.6
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
- 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
- 'gobject-introspection' 'git')
-optdepends=('libraw: raw plugin'
-'openexr: openexr plugin'
-'ffmpeg: ffmpeg plugin'
-'suitesparse: matting-levin plugin'
-'librsvg: svg plugin'
-'jasper: jasper plugin'
-'libtiff: tiff plugin'
-'lua: lua plugin'
-'lensfun: lens-correct plugin')
-source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
-sha256sums=('SKIP')
-
-prepare() {
-  mkdir path
-  ln -s /usr/bin/python2 path/python
-
-  cd ${pkgname}
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
---with-libavformat --with-jasper --disable-docs \
---enable-workshop
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make -k check || :
-}
-
-package() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make DESTDIR="${pkgdir}" install
-}

Copied: gegl/repos/extra-i686/PKGBUILD (from rev 277571, gegl/trunk/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2016-10-03 09:30:11 UTC (rev 277572)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.8
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/PKGBUILD
===
--- extra-x86_64/PKGBUILD   2016-10-03 09:30:05 UTC (rev 277571)
+++ extra-x86_64/PKGBUILD   2016-10-03 09:30:11 UTC (rev 277572)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.6
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 

[arch-commits] Commit in gegl/repos (4 files)

2016-03-21 Thread Jan de Groot
Date: Monday, March 21, 2016 @ 12:11:09
  Author: jgc
Revision: 262155

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gegl/repos/gnome-unstable-i686/
  gegl/repos/gnome-unstable-i686/PKGBUILD
(from rev 262154, gegl/trunk/PKGBUILD)
  gegl/repos/gnome-unstable-x86_64/
  gegl/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 262154, gegl/trunk/PKGBUILD)

+
 gnome-unstable-i686/PKGBUILD   |   58 +++
 gnome-unstable-x86_64/PKGBUILD |   58 +++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/gnome-unstable-i686/PKGBUILD (from rev 262154, 
gegl/trunk/PKGBUILD)
===
--- gnome-unstable-i686/PKGBUILD(rev 0)
+++ gnome-unstable-i686/PKGBUILD2016-03-21 11:11:09 UTC (rev 262155)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.6
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/gnome-unstable-x86_64/PKGBUILD (from rev 262154, 
gegl/trunk/PKGBUILD)
===
--- gnome-unstable-x86_64/PKGBUILD  (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD  2016-03-21 11:11:09 UTC (rev 262155)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.6
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2016-02-16 Thread Antonio Rojas
Date: Wednesday, February 17, 2016 @ 08:47:13
  Author: arojas
Revision: 259887

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 259886, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 259886, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 259886, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2016-02-17 07:47:13 UTC (rev 259887)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=5
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 259886, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2016-02-17 07:47:13 UTC (rev 259887)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=5
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2016-02-04 Thread Antonio Rojas
Date: Thursday, February 4, 2016 @ 21:07:04
  Author: arojas
Revision: 258881

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gegl/repos/testing-i686/
  gegl/repos/testing-i686/PKGBUILD
(from rev 258880, gegl/trunk/PKGBUILD)
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
(from rev 258880, gegl/trunk/PKGBUILD)

-+
 testing-i686/PKGBUILD   |   58 ++
 testing-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/testing-i686/PKGBUILD (from rev 258880, gegl/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2016-02-04 20:07:04 UTC (rev 258881)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 258880, 
gegl/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-02-04 20:07:04 UTC (rev 258881)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=4
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2015-12-25 Thread Jan Steffens
Date: Saturday, December 26, 2015 @ 03:36:05
  Author: heftig
Revision: 257282

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 257281, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 257281, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 257281, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2015-12-26 02:36:05 UTC (rev 257282)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=3
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 257281, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2015-12-26 02:36:05 UTC (rev 257282)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=3
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2015-12-07 Thread Bartłomiej Piotrowski
Date: Monday, December 7, 2015 @ 09:43:44
  Author: bpiotrowski
Revision: 253309

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 253308, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 253308, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   58 ++
 staging-x86_64/PKGBUILD |   58 ++
 2 files changed, 116 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 253308, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2015-12-07 08:43:44 UTC (rev 253309)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 253308, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2015-12-07 08:43:44 UTC (rev 253309)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2015-11-27 Thread Jan Steffens
Date: Friday, November 27, 2015 @ 11:21:41
  Author: heftig
Revision: 251993

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  gegl/repos/extra-i686/PKGBUILD
(from rev 251992, gegl/trunk/PKGBUILD)
  gegl/repos/extra-x86_64/PKGBUILD
(from rev 251992, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/extra-i686/PKGBUILD
  gegl/repos/extra-x86_64/PKGBUILD

---+
 /PKGBUILD |  116 
 extra-i686/PKGBUILD   |   51 -
 extra-x86_64/PKGBUILD |   51 -
 3 files changed, 116 insertions(+), 102 deletions(-)

Deleted: extra-i686/PKGBUILD
===
--- extra-i686/PKGBUILD 2015-11-27 10:19:43 UTC (rev 251992)
+++ extra-i686/PKGBUILD 2015-11-27 10:21:41 UTC (rev 251993)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.0
-pkgrel=2
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
-optdepends=('libopenraw: openraw plugin'
-'openexr: openexr plugin'
-'ffmpeg: ffmpeg plugin'
-'suitesparse: matting-levin plugin'
-'librsvg: svg plugin'
-'jasper: jasper plugin')
-source=(http://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-sha256sums=('f0fec8f2e7b8835979d3cf4e38b05d41bb79f68dc80cf899a846484da693bbf7')
-
-prepare() {
-  mkdir path
-  ln -s /usr/bin/python2 path/python
-
-  cd ${pkgname}-${pkgver}
-}
-
-build() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
---with-libavformat --with-jasper --disable-docs
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  make -k check || :
-}
-
-package() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  make DESTDIR="${pkgdir}" install
-}

Copied: gegl/repos/extra-i686/PKGBUILD (from rev 251992, gegl/trunk/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2015-11-27 10:21:41 UTC (rev 251993)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.4
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 
'librsvg'
+ 'jasper' 'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 
'lensfun'
+ 'gobject-introspection' 'git')
+optdepends=('libraw: raw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin'
+'libtiff: tiff plugin'
+'lua: lua plugin'
+'lensfun: lens-correct plugin')
+source=("git://git.gnome.org/gegl#tag=GEGL_${pkgver//./_}")
+sha256sums=('SKIP')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs \
+--enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/PKGBUILD
===
--- extra-x86_64/PKGBUILD   2015-11-27 10:19:43 UTC (rev 251992)
+++ extra-x86_64/PKGBUILD   2015-11-27 10:21:41 UTC (rev 251993)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.0
-pkgrel=2
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')

[arch-commits] Commit in gegl/repos (4 files)

2015-09-10 Thread Jan Steffens
Date: Thursday, September 10, 2015 @ 14:38:42
  Author: heftig
Revision: 245730

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gegl/repos/testing-i686/
  gegl/repos/testing-i686/PKGBUILD
(from rev 245729, gegl/trunk/PKGBUILD)
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
(from rev 245729, gegl/trunk/PKGBUILD)

-+
 testing-i686/PKGBUILD   |   51 ++
 testing-x86_64/PKGBUILD |   51 ++
 2 files changed, 102 insertions(+)

Copied: gegl/repos/testing-i686/PKGBUILD (from rev 245729, gegl/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2015-09-10 12:38:42 UTC (rev 245730)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.0
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
+optdepends=('libopenraw: openraw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitessparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin')
+source=(http://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('f0fec8f2e7b8835979d3cf4e38b05d41bb79f68dc80cf899a846484da693bbf7')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}-${pkgver}
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 245729, 
gegl/trunk/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2015-09-10 12:38:42 UTC (rev 245730)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.0
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
+optdepends=('libopenraw: openraw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitessparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin')
+source=(http://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('f0fec8f2e7b8835979d3cf4e38b05d41bb79f68dc80cf899a846484da693bbf7')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}-${pkgver}
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}


[arch-commits] Commit in gegl/repos (4 files)

2015-09-10 Thread Jan Steffens
Date: Thursday, September 10, 2015 @ 17:37:42
  Author: heftig
Revision: 245741

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gegl/repos/testing-i686/PKGBUILD
(from rev 245740, gegl/trunk/PKGBUILD)
  gegl/repos/testing-x86_64/PKGBUILD
(from rev 245740, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/testing-i686/PKGBUILD
  gegl/repos/testing-x86_64/PKGBUILD

-+
 /PKGBUILD   |  102 ++
 testing-i686/PKGBUILD   |   51 ---
 testing-x86_64/PKGBUILD |   51 ---
 3 files changed, 102 insertions(+), 102 deletions(-)

Deleted: testing-i686/PKGBUILD
===
--- testing-i686/PKGBUILD   2015-09-10 15:36:30 UTC (rev 245740)
+++ testing-i686/PKGBUILD   2015-09-10 15:37:42 UTC (rev 245741)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.0
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
-optdepends=('libopenraw: openraw plugin'
-'openexr: openexr plugin'
-'ffmpeg: ffmpeg plugin'
-'suitessparse: matting-levin plugin'
-'librsvg: svg plugin'
-'jasper: jasper plugin')
-source=(http://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-sha256sums=('f0fec8f2e7b8835979d3cf4e38b05d41bb79f68dc80cf899a846484da693bbf7')
-
-prepare() {
-  mkdir path
-  ln -s /usr/bin/python2 path/python
-
-  cd ${pkgname}-${pkgver}
-}
-
-build() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
---with-libavformat --with-jasper --disable-docs
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  make -k check || :
-}
-
-package() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}-${pkgver}
-  make DESTDIR="${pkgdir}" install
-}

Copied: gegl/repos/testing-i686/PKGBUILD (from rev 245740, gegl/trunk/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2015-09-10 15:37:42 UTC (rev 245741)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Daniel Isenmann 
+
+pkgname=gegl
+pkgver=0.3.0
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('i686' 'x86_64')
+url="http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib')
+makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
+optdepends=('libopenraw: openraw plugin'
+'openexr: openexr plugin'
+'ffmpeg: ffmpeg plugin'
+'suitesparse: matting-levin plugin'
+'librsvg: svg plugin'
+'jasper: jasper plugin')
+source=(http://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('f0fec8f2e7b8835979d3cf4e38b05d41bb79f68dc80cf899a846484da693bbf7')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}-${pkgver}
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+}

Deleted: testing-x86_64/PKGBUILD
===
--- testing-x86_64/PKGBUILD 2015-09-10 15:36:30 UTC (rev 245740)
+++ testing-x86_64/PKGBUILD 2015-09-10 15:37:42 UTC (rev 245741)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann 
-
-pkgname=gegl
-pkgver=0.3.0
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('i686' 'x86_64')
-url="http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib')
-makedepends=('intltool' 'ruby' 'lua' 'libopenraw' 'openexr' 'mesa' 'glu' 
'ffmpeg' 'librsvg' 'jasper' 'exiv2' 'vala' 'python2' 'suitesparse')
-optdepends=('libopenraw: openraw plugin'
-   

[arch-commits] Commit in gegl/repos (4 files)

2012-06-07 Thread Daniel Isenmann
Date: Thursday, June 7, 2012 @ 17:32:43
  Author: daniel
Revision: 161069

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 161068, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 161068, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   36 
 staging-x86_64/PKGBUILD |   36 
 2 files changed, 72 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 161068, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2012-06-07 21:32:43 UTC (rev 161069)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Daniel Isenmann dan...@archlinux.org
+
+pkgname=gegl
+pkgver=0.2.0
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('intltool' 'ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 
'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('764cc66cb3c7b261b8fc18a6268a0e264a91d573')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 161068, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2012-06-07 21:32:43 UTC (rev 161069)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Daniel Isenmann dan...@archlinux.org
+
+pkgname=gegl
+pkgver=0.2.0
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('intltool' 'ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 
'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('764cc66cb3c7b261b8fc18a6268a0e264a91d573')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2012-05-03 Thread Eric Bélanger
Date: Thursday, May 3, 2012 @ 17:27:34
  Author: eric
Revision: 158346

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 158345, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 158345, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   36 
 staging-x86_64/PKGBUILD |   36 
 2 files changed, 72 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 158345, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2012-05-03 21:27:34 UTC (rev 158346)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.2.0
+pkgrel=1
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('intltool' 'ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 
'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('764cc66cb3c7b261b8fc18a6268a0e264a91d573')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 158345, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2012-05-03 21:27:34 UTC (rev 158346)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.2.0
+pkgrel=1
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('intltool' 'ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 
'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('764cc66cb3c7b261b8fc18a6268a0e264a91d573')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2012-01-18 Thread Eric Bélanger
Date: Wednesday, January 18, 2012 @ 22:20:59
  Author: eric
Revision: 146879

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gegl/repos/staging-i686/
  gegl/repos/staging-i686/PKGBUILD
(from rev 146878, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
(from rev 146878, gegl/trunk/PKGBUILD)

-+
 staging-i686/PKGBUILD   |   36 
 staging-x86_64/PKGBUILD |   36 
 2 files changed, 72 insertions(+)

Copied: gegl/repos/staging-i686/PKGBUILD (from rev 146878, gegl/trunk/PKGBUILD)
===
--- staging-i686/PKGBUILD   (rev 0)
+++ staging-i686/PKGBUILD   2012-01-19 03:20:59 UTC (rev 146879)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.8
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('3d4d902580f5c5122b01b5188b6b5da03089ecac')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+#check() {
+#  cd ${srcdir}/${pkgname}-${pkgver}
+#  make check
+#}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 146878, 
gegl/trunk/PKGBUILD)
===
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2012-01-19 03:20:59 UTC (rev 146879)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.8
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('3d4d902580f5c5122b01b5188b6b5da03089ecac')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+#check() {
+#  cd ${srcdir}/${pkgname}-${pkgver}
+#  make check
+#}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2011-11-12 Thread Ionut Biru
Date: Saturday, November 12, 2011 @ 12:15:17
  Author: ibiru
Revision: 142623

db-move: moved gegl from [testing] to [extra] (i686)

Added:
  gegl/repos/extra-i686/0.1.6-ffmpeg.patch
(from rev 142606, gegl/repos/testing-i686/0.1.6-ffmpeg.patch)
  gegl/repos/extra-i686/PKGBUILD
(from rev 142606, gegl/repos/testing-i686/PKGBUILD)
Deleted:
  gegl/repos/extra-i686/PKGBUILD
  gegl/repos/testing-i686/

+
 0.1.6-ffmpeg.patch |   33 +
 PKGBUILD   |   66 ++-
 2 files changed, 67 insertions(+), 32 deletions(-)

Copied: gegl/repos/extra-i686/0.1.6-ffmpeg.patch (from rev 142606, 
gegl/repos/testing-i686/0.1.6-ffmpeg.patch)
===
--- extra-i686/0.1.6-ffmpeg.patch   (rev 0)
+++ extra-i686/0.1.6-ffmpeg.patch   2011-11-12 17:15:17 UTC (rev 142623)
@@ -0,0 +1,33 @@
+diff -urN gegl-0.1.6.old//operations/external/ff-load.c 
gegl-0.1.6/operations/external/ff-load.c
+--- gegl-0.1.6.old//operations/external/ff-load.c   2011-01-24 
19:03:30.0 -0300
 gegl-0.1.6/operations/external/ff-load.c2011-05-04 09:59:48.910379742 
-0300
+@@ -69,17 +69,17 @@
+ {
+   switch (err)
+ {
+-case AVERROR_NUMEXPECTED:
++case AVERROR(EDOM):
+   g_warning (%s: Incorrect image filename syntax.\n
+  Use '%%d' to specify the image number:\n
+for img1.jpg, img2.jpg, ..., use 'img%%d.jpg';\n
+for img001.jpg, img002.jpg, ..., use 'img%%03d.jpg'.\n,
+  filename);
+   break;
+-case AVERROR_INVALIDDATA:
++case AVERROR(EINVAL):
+   g_warning (%s: Error while parsing header\n, filename);
+   break;
+-case AVERROR_NOFMT:
++case AVERROR(EILSEQ):
+   g_warning (%s: Unknown format\n, filename);
+   break;
+ default:
+@@ -278,7 +278,7 @@
+   for (i = 0; i p-ic-nb_streams; i++)
+ {
+   AVCodecContext *c = p-ic-streams[i]-codec;
+-  if (c-codec_type == CODEC_TYPE_VIDEO)
++  if (c-codec_type == AVMEDIA_TYPE_VIDEO)
+ {
+   p-video_st = p-ic-streams[i];
+   p-video_stream = i;

Deleted: extra-i686/PKGBUILD
===
--- extra-i686/PKGBUILD 2011-11-12 17:15:16 UTC (rev 142622)
+++ extra-i686/PKGBUILD 2011-11-12 17:15:17 UTC (rev 142623)
@@ -1,32 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger e...@archlinux.org
-
-pkgname=gegl
-pkgver=0.1.6
-pkgrel=1
-pkgdesc=Graph based image processing framework
-arch=('i686' 'x86_64')
-url=http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libpng' 'libjpeg' 'gtk2')
-makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
-optdepends=('openexr: for using the openexr plugin' \
-'ffmpeg: for using the ffmpeg plugin' \
-'librsvg: for using the svg plugin' \
-'jasper: for using the jasper plugin')
-options=('!libtool')
-source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('af5e5a7d3c7ddfaa2b3414de2a7e9113')
-sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d')
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
---with-libavformat --with-jasper --disable-docs
-  make
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install
-}

Copied: gegl/repos/extra-i686/PKGBUILD (from rev 142606, 
gegl/repos/testing-i686/PKGBUILD)
===
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2011-11-12 17:15:17 UTC (rev 142623)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.6
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
 \
+0.1.6-ffmpeg.patch)
+sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d'
+  'd62d4987f1c0fc256f5968271fc65cce0cc4c195')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 -i ${srcdir}/0.1.6-ffmpeg.patch
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2011-11-12 Thread Ionut Biru
Date: Saturday, November 12, 2011 @ 12:15:18
  Author: ibiru
Revision: 142624

db-move: moved gegl from [testing] to [extra] (x86_64)

Added:
  gegl/repos/extra-x86_64/0.1.6-ffmpeg.patch
(from rev 142606, gegl/repos/testing-x86_64/0.1.6-ffmpeg.patch)
  gegl/repos/extra-x86_64/PKGBUILD
(from rev 142606, gegl/repos/testing-x86_64/PKGBUILD)
Deleted:
  gegl/repos/extra-x86_64/PKGBUILD
  gegl/repos/testing-x86_64/

+
 0.1.6-ffmpeg.patch |   33 +
 PKGBUILD   |   66 ++-
 2 files changed, 67 insertions(+), 32 deletions(-)

Copied: gegl/repos/extra-x86_64/0.1.6-ffmpeg.patch (from rev 142606, 
gegl/repos/testing-x86_64/0.1.6-ffmpeg.patch)
===
--- extra-x86_64/0.1.6-ffmpeg.patch (rev 0)
+++ extra-x86_64/0.1.6-ffmpeg.patch 2011-11-12 17:15:18 UTC (rev 142624)
@@ -0,0 +1,33 @@
+diff -urN gegl-0.1.6.old//operations/external/ff-load.c 
gegl-0.1.6/operations/external/ff-load.c
+--- gegl-0.1.6.old//operations/external/ff-load.c   2011-01-24 
19:03:30.0 -0300
 gegl-0.1.6/operations/external/ff-load.c2011-05-04 09:59:48.910379742 
-0300
+@@ -69,17 +69,17 @@
+ {
+   switch (err)
+ {
+-case AVERROR_NUMEXPECTED:
++case AVERROR(EDOM):
+   g_warning (%s: Incorrect image filename syntax.\n
+  Use '%%d' to specify the image number:\n
+for img1.jpg, img2.jpg, ..., use 'img%%d.jpg';\n
+for img001.jpg, img002.jpg, ..., use 'img%%03d.jpg'.\n,
+  filename);
+   break;
+-case AVERROR_INVALIDDATA:
++case AVERROR(EINVAL):
+   g_warning (%s: Error while parsing header\n, filename);
+   break;
+-case AVERROR_NOFMT:
++case AVERROR(EILSEQ):
+   g_warning (%s: Unknown format\n, filename);
+   break;
+ default:
+@@ -278,7 +278,7 @@
+   for (i = 0; i p-ic-nb_streams; i++)
+ {
+   AVCodecContext *c = p-ic-streams[i]-codec;
+-  if (c-codec_type == CODEC_TYPE_VIDEO)
++  if (c-codec_type == AVMEDIA_TYPE_VIDEO)
+ {
+   p-video_st = p-ic-streams[i];
+   p-video_stream = i;

Deleted: extra-x86_64/PKGBUILD
===
--- extra-x86_64/PKGBUILD   2011-11-12 17:15:17 UTC (rev 142623)
+++ extra-x86_64/PKGBUILD   2011-11-12 17:15:18 UTC (rev 142624)
@@ -1,32 +0,0 @@
-# $Id$
-# Maintainer: Eric Bélanger e...@archlinux.org
-
-pkgname=gegl
-pkgver=0.1.6
-pkgrel=1
-pkgdesc=Graph based image processing framework
-arch=('i686' 'x86_64')
-url=http://www.gegl.org/;
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libpng' 'libjpeg' 'gtk2')
-makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
-optdepends=('openexr: for using the openexr plugin' \
-'ffmpeg: for using the ffmpeg plugin' \
-'librsvg: for using the svg plugin' \
-'jasper: for using the jasper plugin')
-options=('!libtool')
-source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('af5e5a7d3c7ddfaa2b3414de2a7e9113')
-sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d')
-
-build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
---with-libavformat --with-jasper --disable-docs
-  make
-}
-
-package() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  make DESTDIR=${pkgdir} install
-}

Copied: gegl/repos/extra-x86_64/PKGBUILD (from rev 142606, 
gegl/repos/testing-x86_64/PKGBUILD)
===
--- extra-x86_64/PKGBUILD   (rev 0)
+++ extra-x86_64/PKGBUILD   2011-11-12 17:15:18 UTC (rev 142624)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.6
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
 \
+0.1.6-ffmpeg.patch)
+sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d'
+  'd62d4987f1c0fc256f5968271fc65cce0cc4c195')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 -i ${srcdir}/0.1.6-ffmpeg.patch
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2011-11-05 Thread Ionut Biru
Date: Saturday, November 5, 2011 @ 07:37:44
  Author: ibiru
Revision: 142142

db-move: moved gegl from [staging] to [testing] (i686)

Added:
  gegl/repos/testing-i686/
  gegl/repos/testing-i686/0.1.6-ffmpeg.patch
(from rev 142117, gegl/repos/staging-i686/0.1.6-ffmpeg.patch)
  gegl/repos/testing-i686/PKGBUILD
(from rev 142117, gegl/repos/staging-i686/PKGBUILD)
Deleted:
  gegl/repos/staging-i686/

+
 0.1.6-ffmpeg.patch |   33 +
 PKGBUILD   |   34 ++
 2 files changed, 67 insertions(+)

Copied: gegl/repos/testing-i686/0.1.6-ffmpeg.patch (from rev 142117, 
gegl/repos/staging-i686/0.1.6-ffmpeg.patch)
===
--- testing-i686/0.1.6-ffmpeg.patch (rev 0)
+++ testing-i686/0.1.6-ffmpeg.patch 2011-11-05 11:37:44 UTC (rev 142142)
@@ -0,0 +1,33 @@
+diff -urN gegl-0.1.6.old//operations/external/ff-load.c 
gegl-0.1.6/operations/external/ff-load.c
+--- gegl-0.1.6.old//operations/external/ff-load.c   2011-01-24 
19:03:30.0 -0300
 gegl-0.1.6/operations/external/ff-load.c2011-05-04 09:59:48.910379742 
-0300
+@@ -69,17 +69,17 @@
+ {
+   switch (err)
+ {
+-case AVERROR_NUMEXPECTED:
++case AVERROR(EDOM):
+   g_warning (%s: Incorrect image filename syntax.\n
+  Use '%%d' to specify the image number:\n
+for img1.jpg, img2.jpg, ..., use 'img%%d.jpg';\n
+for img001.jpg, img002.jpg, ..., use 'img%%03d.jpg'.\n,
+  filename);
+   break;
+-case AVERROR_INVALIDDATA:
++case AVERROR(EINVAL):
+   g_warning (%s: Error while parsing header\n, filename);
+   break;
+-case AVERROR_NOFMT:
++case AVERROR(EILSEQ):
+   g_warning (%s: Unknown format\n, filename);
+   break;
+ default:
+@@ -278,7 +278,7 @@
+   for (i = 0; i p-ic-nb_streams; i++)
+ {
+   AVCodecContext *c = p-ic-streams[i]-codec;
+-  if (c-codec_type == CODEC_TYPE_VIDEO)
++  if (c-codec_type == AVMEDIA_TYPE_VIDEO)
+ {
+   p-video_st = p-ic-streams[i];
+   p-video_stream = i;

Copied: gegl/repos/testing-i686/PKGBUILD (from rev 142117, 
gegl/repos/staging-i686/PKGBUILD)
===
--- testing-i686/PKGBUILD   (rev 0)
+++ testing-i686/PKGBUILD   2011-11-05 11:37:44 UTC (rev 142142)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.6
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
 \
+0.1.6-ffmpeg.patch)
+sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d'
+  'd62d4987f1c0fc256f5968271fc65cce0cc4c195')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 -i ${srcdir}/0.1.6-ffmpeg.patch
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}



[arch-commits] Commit in gegl/repos (4 files)

2011-11-05 Thread Ionut Biru
Date: Saturday, November 5, 2011 @ 07:37:45
  Author: ibiru
Revision: 142143

db-move: moved gegl from [staging] to [testing] (x86_64)

Added:
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/0.1.6-ffmpeg.patch
(from rev 142117, gegl/repos/staging-x86_64/0.1.6-ffmpeg.patch)
  gegl/repos/testing-x86_64/PKGBUILD
(from rev 142117, gegl/repos/staging-x86_64/PKGBUILD)
Deleted:
  gegl/repos/staging-x86_64/

+
 0.1.6-ffmpeg.patch |   33 +
 PKGBUILD   |   34 ++
 2 files changed, 67 insertions(+)

Copied: gegl/repos/testing-x86_64/0.1.6-ffmpeg.patch (from rev 142117, 
gegl/repos/staging-x86_64/0.1.6-ffmpeg.patch)
===
--- testing-x86_64/0.1.6-ffmpeg.patch   (rev 0)
+++ testing-x86_64/0.1.6-ffmpeg.patch   2011-11-05 11:37:45 UTC (rev 142143)
@@ -0,0 +1,33 @@
+diff -urN gegl-0.1.6.old//operations/external/ff-load.c 
gegl-0.1.6/operations/external/ff-load.c
+--- gegl-0.1.6.old//operations/external/ff-load.c   2011-01-24 
19:03:30.0 -0300
 gegl-0.1.6/operations/external/ff-load.c2011-05-04 09:59:48.910379742 
-0300
+@@ -69,17 +69,17 @@
+ {
+   switch (err)
+ {
+-case AVERROR_NUMEXPECTED:
++case AVERROR(EDOM):
+   g_warning (%s: Incorrect image filename syntax.\n
+  Use '%%d' to specify the image number:\n
+for img1.jpg, img2.jpg, ..., use 'img%%d.jpg';\n
+for img001.jpg, img002.jpg, ..., use 'img%%03d.jpg'.\n,
+  filename);
+   break;
+-case AVERROR_INVALIDDATA:
++case AVERROR(EINVAL):
+   g_warning (%s: Error while parsing header\n, filename);
+   break;
+-case AVERROR_NOFMT:
++case AVERROR(EILSEQ):
+   g_warning (%s: Unknown format\n, filename);
+   break;
+ default:
+@@ -278,7 +278,7 @@
+   for (i = 0; i p-ic-nb_streams; i++)
+ {
+   AVCodecContext *c = p-ic-streams[i]-codec;
+-  if (c-codec_type == CODEC_TYPE_VIDEO)
++  if (c-codec_type == AVMEDIA_TYPE_VIDEO)
+ {
+   p-video_st = p-ic-streams[i];
+   p-video_stream = i;

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 142117, 
gegl/repos/staging-x86_64/PKGBUILD)
===
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2011-11-05 11:37:45 UTC (rev 142143)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Eric Bélanger e...@archlinux.org
+
+pkgname=gegl
+pkgver=0.1.6
+pkgrel=2
+pkgdesc=Graph based image processing framework
+arch=('i686' 'x86_64')
+url=http://www.gegl.org/;
+license=('GPL3' 'LGPL3')
+depends=('babl' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg' 'jasper' 'exiv2')
+optdepends=('openexr: for using the openexr plugin' \
+'ffmpeg: for using the ffmpeg plugin' \
+'librsvg: for using the svg plugin' \
+'jasper: for using the jasper plugin')
+options=('!libtool')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
 \
+0.1.6-ffmpeg.patch)
+sha1sums=('27bedcfd077da7a6913b82966dbec904b22c121d'
+  'd62d4987f1c0fc256f5968271fc65cce0cc4c195')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -p1 -i ${srcdir}/0.1.6-ffmpeg.patch
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+--with-libavformat --with-jasper --disable-docs
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}